﻿using FalcoEngine;

public class Ball : MonoBehaviour
{
    public float speed = 10f; // Швидкість м'яча
    public float shootDirectionX;
    public float shootDirectionY;// Напрямок пострілу
    public Vector3 shootDirectionVector;
    private bool isShooting = false; // Прапорець, чи відбувається постріл
    public Camera camera;
    private Rigidbody rb;
    public GameObject cube;
    WallScript ws;
    public string thisScene;
    public string nextScene;
    bool isUsed= false;

    void Start()
    {
        Cursor.visible = false;
        rb = GetComponent<Rigidbody>();
    }

    void Update()
    {
        cube.transform.position = shootDirectionVector;

        if (Input.GetMouseButton(0))
        {
            if (!isUsed)
            {
                isShooting = false;
                shootDirectionX = Input.cursorRelativePosition.x / 86 - 11f;
                shootDirectionY = Input.cursorRelativePosition.y / 78 - 10f;
            }
        }
        shootDirectionVector = new Vector3(-shootDirectionX, -shootDirectionY, 0);

        if (Input.GetMouseButtonUp(0))
        {
            isShooting = true;
        }

        if (isShooting)
        {
            isUsed= true;
            rb.linearVelocity = shootDirectionVector.normalized * speed;
            cube.enabled = false;
        }
    }

    private void OnTriggerEnter(Rigidbody obj)
    {
        if (obj.gameObject.tag == "KillZone")
        {
            SceneManager.LoadScene(thisScene);
        }
        if (obj.gameObject.tag == "Finish")
        {
            SceneManager.LoadScene(nextScene);
        }

        ws = obj.gameObject.GetComponent<WallScript>();
        if(ws.isHorizontal == true)
        {
            shootDirectionY = -shootDirectionY;
        }
        if (ws.isHorizontal == false)
        {
            shootDirectionX = -shootDirectionX;
        }

    }
}
